NF-e 4.0 e as versões do Windows

Hoje vamos falar um pouco sobre a compatibilidade das versões do Sistema Operacional Windows com a nova versão da NF-e 4.0.

Com a constante evolução das tecnologias, principalmente no quesito de segurança da informação, cada vez fica mais difícil garantir a compatibilidade do software com versões mais antigas do Windows.

Exemplo disso é a mudança trazida com a NF-e 4.0, onde a partir desta versão da NF-e será permitido unicamente o uso do protocolo de comunicação TLS 1.2 ou versão superior. Ou seja, não será mais permitida à comunicação via protocolo SSL que vem sendo usada atualmente pelos webservices.

Que mudança na NF-e que está impactando na versão do Windows?

  • Windows 10: Esta versão já possui as atualizações mais recentes para utilização do protocolo TLS 1.2. Não é necessário nenhum procedimento adicional para funcionamento do software nesta versão. Inclui-se neste caso também o Windows Server 2016.
  • Windows 8 e 8.1: Inicialmente nestas versões do Windows o protocolo TLS 1.2 não está presente. Porém é possível realizar a instalação deste recurso, bastando para isso realizar a atualização através do Windows Update. Inclui-se neste caso também as versões do Windows Server 2012 e 2012 R2.
  • Windows 7: Da mesma forma que no Windows 8, também não está disponível este protocolo na versão do Windows 7. Neste caso é necessário a atualização do SP1 (Service Pack 1), mais as atualizações de segurança. Esta a atualização também pode ser feita através do Windows Update porém será bem mais demorada que na versão do Windows 8. Inclui-se neste caso também as versões do Windows Server 2008, 2008 R2 e Windows Vista.
  • Windows XP: Já faz algum tempo que a Microsoft anunciou que não seriam mais feitas atualizações para esta versão do Windows. Com isso, infelizmente não será mais possível o uso do Windows XP para emissão de NF-e na versão 4.0. Inclui-se neste caso também a versão do Windows Server 2003.

Diante dessa observações, se você utiliza uma versão anterior ao Windows 10, recomendamos que proceda com a atualização do Sistema Operacional, e caso ainda utilize o Windows XP então será necessário a substituição deste Sistema Operacional por uma versão mais recente e que seja compatível com seu hardware.

Para maiores esclarecimentos, entre em Contato conosco. 

 

Fonte: Data Express

NF-e 4.0 e as versões do Windows
Tags: